//---------------------------------------------------------------------------
#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <INIFiles.hpp>
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
    TListView *ListView1;
    TButton *btnSelectDir;
    TButton *btnSelectAll;
    TButton *btnSelectNone;
    TButton *btnDelete;
    TCheckBox *cbxRecycle;
    TGroupBox *GroupBox1;
    TCheckBox *cbx1;
    TCheckBox *cbx2;
    TCheckBox *cbx3;
    TCheckBox *cbx4;
    TCheckBox *cbx5;
    TCheckBox *cbx6;
    TCheckBox *cbxCustom;
    TButton *btnSearch;
    TEdit *edtDir;
    TEdit *edtType;
    TCheckBox *cbx7;
    TCheckBox *cbxSubdir;
    void __fastcall FormCreate(TObject *Sender);
    void __fastcall FormKeyPress(TObject *Sender, char &Key);
    void __fastcall btnSelectDirClick(TObject *Sender);
    void __fastcall btnSearchClick(TObject *Sender);
    void __fastcall ListView1ColumnClick(TObject *Sender,
          TListColumn *Column);
    void __fastcall ListView1Compare(TObject *Sender, TListItem *Item1,
          TListItem *Item2, int Data, int &Compare);
    void __fastcall btnSelectAllClick(TObject *Sender);
    void __fastcall btnSelectNoneClick(TObject *Sender);
    void __fastcall btnDeleteClick(TObject *Sender);
    void __fastcall FormDestroy(TObject *Sender);
private:	// User declarations
    void FindFilesInDirectory(AnsiString directory, AnsiString extension, bool searchSubdir);
    int DeleteFile(AnsiString fileName, bool allowUndo);
    TIniFile *iniSetting;
    int isDesc;
public:		// User declarations
    __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
